Bug 1217249 - Screen brightness will not change on MacBook Pro (fixed with kernel parameter)
Summary: Screen brightness will not change on MacBook Pro (fixed with kernel parameter)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-29 21:06 UTC by Christopher Beland
Modified: 2015-06-21 00:31 UTC (History)
9 users (show)

Fixed In Version: kernel-4.0.5-300.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-20 23:58:31 UTC
Type: Bug


Attachments (Terms of Use)
[PATCH] acpi_video: Add enable_native_backlight quirk for MacbookPro12,1 (1.25 KB, patch)
2015-05-28 16:31 UTC, Hans de Goede
no flags Details | Diff

Description Christopher Beland 2015-04-29 21:06:02 UTC
After installing Fedora 22 beta and upgrading to kernel-4.0.0-1.fc22.x86_64, I could not adjust screen brightness on my MacBook Pro A1502 EMC 2835.

Following the extremely helpful advice on: http://hansdegoede.livejournal.com/13889.html
...I found that keypress events for the bright/dim keys are mismapped.  That's filed as Bug 1216250.

Continuing to test with the brightness slider in the Gnome upper black bar, I found I could still not change brightness.  I was able to fix this by adding the kernel parameter "video.use_native_backlight=1".

"ls /sys/class/backlight" reported "acpi_video0  intel_backlight" with the default parameters, and just "intel_backlight" after the fix.

Comment 1 Hans de Goede 2015-05-18 11:01:27 UTC
Hi Christopher,

Thanks for the bug report. Can you please provide run:

grep '.*' /sys/class/dmi/id/*_* 2> /dev/null > dmi.log

And then attach the generated dmi.log file here, then I can add a quirk to the kernel to automatically enable native_brightness on your model laptop.

Regards.

Hans

Comment 2 Christopher Beland 2015-05-26 21:19:29 UTC
dmi.log ends up with:

/sys/class/dmi/id/bios_date:02/13/2015
/sys/class/dmi/id/bios_vendor:Apple Inc.
/sys/class/dmi/id/bios_version:MBP121.88Z.0167.B00.1502132146
/sys/class/dmi/id/board_asset_tag: 
/sys/class/dmi/id/board_name:Mac-E43C1C25D4880AD6
/sys/class/dmi/id/board_vendor:Apple Inc.
/sys/class/dmi/id/board_version:MacBookPro12,1
/sys/class/dmi/id/chassis_asset_tag: 
/sys/class/dmi/id/chassis_type:9
/sys/class/dmi/id/chassis_vendor:Apple Inc.
/sys/class/dmi/id/chassis_version:Mac-E43C1C25D4880AD6
/sys/class/dmi/id/product_name:MacBookPro12,1
/sys/class/dmi/id/product_version:1.0
/sys/class/dmi/id/sys_vendor:Apple Inc.

Comment 3 Hans de Goede 2015-05-28 16:31:18 UTC
Created attachment 1031346 [details]
[PATCH] acpi_video: Add enable_native_backlight quirk for MacbookPro12,1

Patch submitted upstream to add a quirk for this to the acpi-video driver.

Comment 4 Hans de Goede 2015-05-28 16:32:35 UTC
Hi Josh,

I've attached a patch (which has also been submitted upstream) which fixes this, can you add this to the Fedora kernels until it trickles down via upstream?

Regards,

Hans

Comment 5 Josh Boyer 2015-05-28 17:42:46 UTC
Added on all branches.  Thanks!

Comment 6 Fedora Update System 2015-06-09 12:57:23 UTC
kernel-4.0.5-300.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.0.5-300.fc22

Comment 7 Fedora Update System 2015-06-09 12:59:29 UTC
kernel-4.0.5-200.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-4.0.5-200.fc21

Comment 8 Fedora Update System 2015-06-10 19:09:03 UTC
Package kernel-4.0.5-200.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-4.0.5-200.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9704/kernel-4.0.5-200.fc21
then log in and leave karma (feedback).

Comment 9 Christopher Beland 2015-06-17 21:12:44 UTC
I can confirm that kernel-4.0.5-300.fc22 fixes this bug.  Thanks for putting this through!

Comment 10 Fedora Update System 2015-06-20 23:58:31 UTC
kernel-4.0.5-200.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-21 00:31:23 UTC
kernel-4.0.5-300.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.